
QGIS Application - Bug report #19871

Crash on close

2018-09-17 09:27 PM - Morten Storm

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.2.3 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 27695

Description

User Feedback

QGIS 3.2.0 and 3.2.3 (to which I just upgraded) have started crashing on exit almost every time, I close.

I apparently happens even if I just start QGIS and quit immediately - without opening projects or loading any data.

Report Details

Crash ID: d5a2ce396a22c42eaad3e4a6718907052075897e

Stack Trace

QMapNodeBase::nextNode :

QgsPluginLayerRegistry::~QgsPluginLayerRegistry :

QgsUserProfile::QgsUserProfile :

QgsApplication::~QgsApplication :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-09-18 08:06 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Can you please if it happens also on master? also try with a new/clean profile.
#2 - 2018-09-18 08:58 PM - Nyall Dawson

Looks like an issue with an installed plugin, not qgis itself

#3 - 2018-09-19 08:19 AM - Morten Storm

It actually looks like Nyall hit the nail on the head! Disabling the QGIS Cloud plugin made QGIS quit nicely, while reenabling it got the crash back!

I will report the error to the plugin developer! Thanks for the prompt responses!

#4 - 2018-09-19 09:11 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
